USB_ADD_HCD(9)

NAME
usb_add_hcd - finish generic HCD structure initialization and register

SYNOPSIS

int usb_add_hcd(struct usb_hcd * hcd, unsigned int irqnum, unsigned long irqflags);

ARGUMENTS

hcd
    the usb_hcd structure to initialize

irqnum
    Interrupt line to allocate

irqflags
    Interrupt type flags

FINISH THE REMAINING PARTS OF GENERIC HCD INITIALIZATION

allocate the buffers of consistent memory, register the bus, request the IRQ line, and call the driver's reset and start routines.

COPYRIGHT